/*
 * Copyright 2004 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.nordija.tapestry.bayeux.insert;

import org.apache.hivemind.impl.MessageFormatter;
import org.apache.tapestry.IComponent;

/**
 * @author Jacob von Eyben - Nordija A/S
 * @since 2.0.0
 */
public class InsertMessages {
    private static final MessageFormatter _formatter = new MessageFormatter(InsertMessages.class);

    /* defeat instantiation */
    private InsertMessages() {
    }

    static String unableToFormat(IComponent component, Object value, Throwable cause) {
        return _formatter.format("unable-to-format", component.getExtendedId(), value, cause);
    }

    static String anyElementNotDefined() {
        return _formatter.getMessage("any-element-not-defined");
    }
}
